Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.MBeanServerNotification

All Implemented Interfaces:
  Serializable

    public class MBeanServerNotification

extends Notification

Represents a notification emitted by the MBean server through the MBeanServerDelegate MBean. The MBean Server emits the following types of notifications: MBean registration, MBean de-registration.

To receive to MBeanServerNotifications, you need to be declared as listener to the `javax.management.MBeanServerDelegate` MBean that represents the MBeanServer. The ObjectName of the MBeanServerDelegate is: `JMImplementation:type=MBeanServerDelegate`.

Since:
  1.5
See Also:
  Serialized Form

Field Summary
`static String` | `REGISTRATION_NOTIFICATION` Notification type denoting that an MBean has been registered.
`static String` | `UNREGISTRATION_NOTIFICATION` Notification type denoting that an MBean has been unregistered.

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`MBeanServerNotification(String type, Object source, long sequenceNumber, ObjectName objectName)` Creates an MBeanServerNotification object specifying object names of the MBeans that caused the notification and the specified notification type.

Method Summary
`ObjectName` | `getMBeanName()` Returns the object name of the MBean that caused the notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRATION_NOTIFICATION

    public static final String REGISTRATION_NOTIFICATION

  Notification type denoting that an MBean has been registered. Value is "JMX.mbean.registered".

  See Also:
    Constant Field Values

### UNREGISTRATION_NOTIFICATION

    public static final String UNREGISTRATION_NOTIFICATION

  Notification type denoting that an MBean has been unregistered. Value is "JMX.mbean.unregistered".

  See Also:
    Constant Field Values

Constructor Detail

### MBeanServerNotification

    public MBeanServerNotification(String type,
                                   Object source,
                                   long sequenceNumber,
                                   ObjectName objectName)

  Creates an MBeanServerNotification object specifying object names of the MBeans that caused the notification and the specified notification type.

  Parameters:
    `type` - A string denoting the type of the notification. Set it to one these values: `REGISTRATION_NOTIFICATION`, `UNREGISTRATION_NOTIFICATION`.
    `source` - The MBeanServerNotification object responsible for forwarding MBean server notification.
    `sequenceNumber` - A sequence number that can be used to order received notifications.
    `objectName` - The object name of the MBean that caused the notification.

Method Detail

### getMBeanName

    public ObjectName getMBeanName()

  Returns the object name of the MBean that caused the notification.

  Returns:
    the object name of the MBean that caused the notification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.